@import "../../../assets/var-colors.scss";

:host {
    width: 90%;
}

form { // Research form
    min-height: 150px;
    padding: 15px;
    background-color: $color-grey-dark;
    border-radius: 20% 5% 20% 5%;
    box-shadow: 5px 5px 4px 4px $color-grey-dark;
    margin-bottom: 30px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    font-size: 1.2em;
}

.input-fields { // All input fields (including buttons)
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-content: flex-end;
}

.buttons { // Div containing the two buttons
    align-self: flex-end;
    width: 25%;
    display: flex;
    justify-content: space-around;
}

button { // Each button
    width: 120px;
    height: 40px;
}

.form-input-label { // Each label+input div
    display: flex;
    flex-direction: column;
}

input.ng-invalid.ng-dirty { // If an input has been fulfilled and the control is invalid
    border: 2px red solid;
}

input.ng-valid.ng-dirty { // If an input has been fulfilled and the control is valid
    border: 2px green solid;
}

form.ng-invalid.ng-dirty p { // If a form has been fulfilled (at least one input) and one control or more is invalid
    color: red;
    font-size: 0.7em;
}